<?php
include_once("header.php");

?>
<style type="text/css">
	.bold{
		font-weight: bolder;
	}

</style>
<div class="container col-md-5">
	<h2>Nuevo producto</h2>
	<hr>
	<label>Codigo</label>
	<input  class="form-control" type="text" placeholder="Codigo del producto" id="txt-codigo">

	<label>Descripcion</label>
	<input class="form-control bol"  type="text" placeholder="Nombre del producto" id="txt-nombre">

	<label>Costo</label>
	<input class="form-control bold"  type="text" placeholder="0.00" id="txt-costo">

	<label>Precio</label>
	<input class="form-control bold text-success"  type="text" placeholder="0.00" id="txt-precio">

	<label>Cantidad en almacen</label>
	<input class="form-control bold"  type="text" placeholder="0.00" id="txt-stock">
<hr>
<button class="btn btn-danger mt-2" onclick="grabar()">Grabar</button>

<button class="btn btn-warning mt-2" onclick="barcode()">Codigo de barras</button>
<a class="btn btn-light mt-2 pull-right" href="lista.php">Atras</a>


</div>
</div>

<script>
	function barcode(){
		var codigo=$("#txt-codigo").val()
		var descripcion=$("#txt-nombre").val()
		var precio=$("#txt-precio").val()
		var costo=$("#txt-costo").val()
		var stock=$("#txt-stock").val()
		window.location.href="codigos.php?codigo="+codigo+"&descripcion="+descripcion+"&precio="+precio+"&id="+id;



	}


var id ="<?php echo $_GET['id']?>";
	function grabar(){
		if(codigo=="" || descripcion==""){alert("Datos incompletos"); return}
		var codigo=$("#txt-codigo").val()
		var descripcion=$("#txt-nombre").val()
		var precio=$("#txt-precio").val()
		var costo=$("#txt-costo").val()
		var stock=$("#txt-stock").val()

		var sql="";
		if(id==""){
			sql=" insert into item ";
			sql+=" set des='"+descripcion+"'";
			sql+=", cod='"+codigo+"'";
			sql+=", precio='"+precio+"'";
			sql+=", costo='"+costo+"'";
			sql+=", stock='"+stock+"'";
		}else{
			sql=" update item ";
			sql+=" set des='"+descripcion+"'";
			sql+=", cod='"+codigo+"'";
			sql+=", precio='"+precio+"'";
			sql+=", costo='"+costo+"'";
			sql+=", stock='"+stock+"'";
			sql+=" where id='"+id+"'";
		}

		_enviar("php/update.php",{sql:sql})
		.done( function (data){
			if(data=="1"){
				alert("Datos grabados...");
				window.location.href="nuevo.php";

			}else{
				alert(data)
			}
			
		})
	}

get();
function get(){
            var sql="select * from item where id='"+id+"'"
            _enviar("php/traer_datos.php",{"sql":sql})
            .done(function( data ){
            	var rs = JSON.parse(data)
                for( var i in rs.data){
                   	$("#txt-codigo").val(rs.data[i].cod)
					$("#txt-nombre").val(rs.data[i].des)
					$("#txt-precio").val(rs.data[i].precio)
					$("#txt-costo").val(rs.data[i].costo)
					$("#txt-stock").val(rs.data[i].stock)
                  
                }
              
            })
        }

</script>